<div class="search-wrapper-container">
        <i class="fas fa-search fa-sm search-icon p-2"></i>
        <input 
            type="text" 
            class="form-control" 
            style="text-indent: 30px"
            ng-keyup="$ctrl.search( $ctrl.searchStr )"
            placeholder="Search for patients"
            ng-model="$ctrl.searchStr" required>	
    <div click-outside="$ctrl.hide_search_result()" class="search-result ml-4" ng-if="$ctrl.search_result.length > 0" style="z-index:999">
        <div 
            class="search-item py-2 px-3 d-flex flex-row" 
            ng-repeat="u in $ctrl.search_result" 
            ui-sref="patient({id:u.user_id})">
            <div ng-if="u.picture != null" style="float: left;">
                <img ng-src="https://assets.biomarking.com/profile/{{u.picture}}" class="profile" style="border-radius: 50%"
                    height="39" width="39">
            </div>
            <div class="patient-image text-center pt-2" ng-if="u.picture == NULL">
                {{u.first_name[0]}}{{u.last_name[0]}}
            </div>
            <div class="d-flex flex-column ml-3">
                <div class="search-name">{{u.first_name}} {{u.last_name}}</div>
                <div class="search-mobile">{{u.mobile}}</div>	
            </div>
        </div>
    </div>
    <div click-outside="$ctrl.hide_search_result()" class="search-result ml-4" ng-if="$ctrl.search_result.length == 0 && $ctrl.searchStr" style="z-index:999; min-height: 30px;">
        <div class="py-2 px-3 d-flex flex-row">
            No matches found
        </div>
        
    </div>
</div>
